Create Vehicle

Use to create a vehicle or trailer in Bringg.

Use this endpoint to create vehicles in Bringg and optionally associate them with a specified team, company, user, and parking spot. Each new vehicle must include a license_plate number and vehicle profile (vehicle_type).

Read more about the parameters included in the Vehicle object.

Response (Output) Params
ParameterDescription
success
boolean
Indicates whether the service completed successfully.
  • false - the service failed.
  • true - the service succeeded
message
string
If an error occurred, a message indicating the error is included.
rc
integer
If an error occurred, the return code is included.
available
boolean
Specifies if this vehicle is available to be assigned to a route.
Possible values:
false or 0 - the vehicle is not available to be assigned
true or 1 - the vehicle is available to be assigned
color
string
The color of the vehicle.
company_id
int64
When using subcontracted drivers as your own fleet, specify Bringg's ID for the contracted organization.
default_parking_spot_id
int64
Bringg's ID for the parking spot associated with this vehicle.
external_id
string
Your external system's ID for the vehicle.
id
int64
Bringg's ID for the vehicle.
is_trailer
boolean
Indicates whether this vehicle is a trailer.
license_plate
string
The vehicle's license plate number.
merchant_id
int64
The ID of the merchant to which the vehicle belongs.
model
string
The vehicle's type or other identifying features.
name
string
Your custom identifier for the vehicle.
skills
string
An array of vehicle capabilities.
team_id
int64
Bringg's ID for the team associated with this vehicle.
trailer
object
Vehicle object if a trailer is associated with this vehicle.
truck_id
int64
Bringg's ID for a trailer towed by this vehicle.
user_id
int64
Bringg's ID for the driver associated with this vehicle.
vehicle_type_id
int64
Bringg's ID for the vehicle profile.
Body Params
string

Your custom identifier for the vehicle.

string

Your external system's ID for the vehicle.

int32
required

Bringg's ID for the vehicle profile. Required if vehicle_type_external_id is not included.

string
required

Your external system's ID for the vehicle profile. Required if vehicle_type_id is not included.

string
required

The vehicle's license plate number.

string

Your external system's ID for the team associated with this vehicle.

int32

Bringg's ID for the team associated with this vehicle.

skills
array of strings

An array of vehicle capabilities.

skills
string

When using subcontracted drivers as your own fleet, specify your external system's ID for the contracted organization.

int32

Bringg's ID for the parking spot associated with this vehicle.

string

Your external system's ID for the associated parking spot. Omit if default_parking_spot_id is included.

string

The color of the vehicle.

string

The vehicle's type or other identifying features.

int32

Bringg's ID for a trailer towed by this vehicle.

int32

Bringg's ID for the driver associated with this vehicle.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json